EventListenerGroupImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.service.internal
Class EventListenerGroupImpl<T>

    java.lang.Object
      org.hibernate.event.service.internal.EventListenerGroupImpl<T>

All Implemented Interfaces:
  Serializable, EventListenerGroup<T>

    public class EventListenerGroupImpl<T>

extends Object
implements EventListenerGroup<T>

See Also:
  Serialized Form

Constructor Summary
`EventListenerGroupImpl(EventType<T> eventType)`

Method Summary
`void` | `addDuplicationStrategy(DuplicationStrategy strategy)` Mechanism to more finely control the notion of duplicates.
`void` | `appendListener(T listener)`
`void` | `appendListeners(T... listeners)`
`void` | `clear()`
`int` | `count()`
`EventType<T>` | `getEventType()` Retrieve the event type associated with this groups of listeners.
`boolean` | `isEmpty()` Are there no listeners registered?
`Iterable<T>` | `listeners()`
`void` | `prependListener(T listener)`
`void` | `prependListeners(T... listeners)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventListenerGroupImpl

    public EventListenerGroupImpl(EventType<T> eventType)

Method Detail

### getEventType

    public EventType<T> getEventType()

  Description copied from interface: `EventListenerGroup`
  Retrieve the event type associated with this groups of listeners.

  Specified by:
    `getEventType` in interface `EventListenerGroup<T>`
  Returns:
    The event type.

### isEmpty

    public boolean isEmpty()

  Description copied from interface: `EventListenerGroup`
  Are there no listeners registered?

  Specified by:
    `isEmpty` in interface `EventListenerGroup<T>`
  Returns:
    true if no listeners are registered; false otherwise.

### count

    public int count()

  Specified by:
    `count` in interface `EventListenerGroup<T>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `EventListenerGroup<T>`

### addDuplicationStrategy

    public void addDuplicationStrategy(DuplicationStrategy strategy)

  Description copied from interface: `EventListenerGroup`
  Mechanism to more finely control the notion of duplicates.

  For example, say you are registering listeners for an extension library. This extension library could define a "marker interface" which indicates listeners related to it and register a strategy that checks against that marker interface.

  Specified by:
    `addDuplicationStrategy` in interface `EventListenerGroup<T>`
  Parameters:
    `strategy` - The duplication strategy

### listeners

    public Iterable<T> listeners()

  Specified by:
    `listeners` in interface `EventListenerGroup<T>`

### appendListeners

    public void appendListeners(T... listeners)

  Specified by:
    `appendListeners` in interface `EventListenerGroup<T>`

### appendListener

    public void appendListener(T listener)

  Specified by:
    `appendListener` in interface `EventListenerGroup<T>`

### prependListeners

    public void prependListeners(T... listeners)

  Specified by:
    `prependListeners` in interface `EventListenerGroup<T>`

### prependListener

    public void prependListener(T listener)

  Specified by:
    `prependListener` in interface `EventListenerGroup<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.